# class ActiveLdap::Ldif::Record

### Attributes

attributes[R]
dn[R]

### Public Class Methods

new(dn, attributes) click to toggle source

    # File lib/active_ldap/ldif.rb, line 632
    def initialize(dn, attributes)
      @dn = dn
      @attributes = attributes
    end

### Public Instance Methods

==(other) click to toggle source

    # File lib/active_ldap/ldif.rb, line 647
    def ==(other)
      other.is_a?(self.class) and
        @dn == other.dn and
        Attributes.normalize(@attributes) ==
        Attributes.normalize(other.attributes)
    end

to_hash() click to toggle source

    # File lib/active_ldap/ldif.rb, line 637
    def to_hash
      attributes.merge({"dn" => dn})
    end

to_s() click to toggle source

    # File lib/active_ldap/ldif.rb, line 641
    def to_s
      result = to_s_prelude
      result << to_s_content
      result
    end

### Private Instance Methods

to_s_content() click to toggle source

    # File lib/active_ldap/ldif.rb, line 659
    def to_s_content
      Attributes.encode(@attributes)
    end

to_s_prelude() click to toggle source

    # File lib/active_ldap/ldif.rb, line 655
    def to_s_prelude
      Attribute.encode("dn", dn)
    end